# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Tue Apr  8 09:14:15 2025
# ------------------------------------------------

package:
  name: dysgu
  version: 1.8.2
source:
  sha256: f755919af5821b5c9e14d89ace643d2457f4ca280d59ccd29093e41c0995266d
  url: https://github.com/kcleal/dysgu/archive/v1.8.2.tar.gz
build:
  binary_relocation: false
  entry_points:
    - dysgu = dysgu.main:cli
  number: '0'
  run_exports:
    - dysgu >=1.8.2,<2.0a0
  string: py310hff7b7f5_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - gcc_impl_linux-aarch64 13.3.0 h80a1502_2
    - gcc_linux-aarch64 13.3.0 h1cd514b_8
    - gxx_impl_linux-aarch64 13.3.0 h7eae8fb_2
    - gxx_linux-aarch64 13.3.0 h2864abd_8
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libgcc 14.2.0 he277a41_2
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_102
    - libgomp 14.2.0 he277a41_2
    - libsanitizer 13.3.0 ha58e236_2
    - libstdcxx 14.2.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_102
    - make 4.4.1 h2a6d0cb_2
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025b h78e105d_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.4 h86ecc28_0
    - ca-certificates 2025.1.31 hcefe29a_0
    - cython 3.0.12 py310hc86cfe9_0
    - htslib 1.21 h7068f72_1
    - icu 75.1 hf9b3779_0
    - joblib 1.4.2 pyhd8ed1ab_1
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libblas 3.9.0 31_h1a9f1db_openblas
    - libboost 1.86.0 h4d13611_3
    - libcblas 3.9.0 31_hab92f65_openblas
    - libcurl 8.13.0 h6702fde_0
    - libdeflate 1.22 h86ecc28_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libffi 3.4.6 he21f813_1
    - libgcc 14.2.0 he277a41_2
    - libgcc-ng 14.2.0 he9431aa_2
    - libgfortran 14.2.0 he9431aa_2
    - libgfortran5 14.2.0 hb6113d0_2
    - libgomp 14.2.0 he277a41_2
    - liblapack 3.9.0 31_h411afd4_openblas
    - liblightgbm 4.6.0 cpu_h1fabe7a_1
    - liblzma 5.8.1 h86ecc28_0
    - liblzma-devel 5.8.1 h86ecc28_0
    - libnghttp2 1.64.0 hc8609a4_0
    - libnsl 2.0.1 h31becfc_0
    - libopenblas 0.3.29 pthreads_h9d3fd7e_0
    - libsqlite 3.49.1 h5eb1b54_2
    - libssh2 1.11.1 ha41c0db_0
    - libstdcxx 14.2.0 h3f4de04_2
    - libstdcxx-ng 14.2.0 hf1166c9_2
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h86ecc28_2
    - lightgbm 4.6.0 cpu_py_1
    - ncurses 6.5 ha32ae93_3
    - networkx 3.4.2 pyh267e887_2
    - numpy 2.2.4 py310h6e5608f_0
    - ocl-icd 2.3.3 h86ecc28_0
    - opencl-headers 2024.10.24 h5ad3122_0
    - openssl 3.4.1 hd08dc88_0
    - pandas 2.2.3 py310hce852f7_2
    - pip 25.0.1 pyh8b19718_0
    - pysam 0.23.0 py310he2da9a8_0
    - python 3.10.16 hee626be_2_cpython
    - python-dateutil 2.9.0.post0 pyhff2d567_1
    - python-tzdata 2025.2 pyhd8ed1ab_0
    - python_abi 3.10 6_cp310
    - pytz 2024.1 pyhd8ed1ab_0
    - readline 8.2 h8382b9d_2
    - scikit-learn 1.6.1 py310h83c76d7_0
    - scipy 1.15.2 py310hf37559f_0
    - setuptools 78.1.0 pyhff2d567_0
    - six 1.17.0 pyhd8ed1ab_0
    - superintervals 0.2.10 py310hff7b7f5_0
    - threadpoolctl 3.6.0 pyhecae5ae_0
    - tk 8.6.13 h194ca79_0
    - tzdata 2025b h78e105d_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - xz 5.8.1 h2dbfc1b_0
    - xz-gpl-tools 5.8.1 h2dbfc1b_0
    - xz-tools 5.8.1 h86ecc28_0
    - zlib 1.3.1 h86ecc28_2
    - zstd 1.5.7 hbcf94c1_2
  run:
    - bzip2 >=1.0.8
    - bzip2 >=1.0.8,<2.0a0
    - click >=8.0
    - cython >=0.29
    - htslib >=1.12
    - htslib >=1.21,<1.22.0a0
    - libcurl >=7.75
    - libcurl >=8.13.0,<9.0a0
    - libgcc >=13
    - liblzma >=5.8.1,<6.0a0
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
    - lightgbm >=3.1
    - networkx >=2.4
    - numpy >=1.18
    - numpy >=1.21,<3
    - openssl >=1.1
    - openssl >=3.4.1,<4.0a0
    - pandas >=1.2
    - pysam >=0.22
    - pysam >=0.23.0,<0.24.0a0
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - scikit-learn >=0.22
    - scipy >=1.7
    - sortedcontainers
    - superintervals >=0.2.10
    - superintervals >=0.2.10,<0.3.0a0
    - xz >=5.2
    - zlib >=1.2
test:
  commands:
    - dysgu --help
  files:
    - dysgu/tests/*
  imports:
    - dysgu
  requires:
    - cython
about:
  dev_url: https://github.com/kcleal/dysgu
  home: https://github.com/kcleal/dysgu
  license: MIT
  license_family: MIT
  license_file: LICENSE.md
  summary: A collection of tools for calling structural variants using short or long
    reads
extra:
  additional-platforms:
    - linux-aarch64
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - kcleal
  skip-lints:
    - cython_must_be_in_host
